# Image Size Policy

!> There is a **1Mb** file size limit for each individual **JPG**, **PNG**, and **GIF** image.

GitPitch encourages image size optimization as a best practice for the efficient loading and rendering of slide decks. Image size limits are enforced for decks published on **gipitch.com**.

- [Offline Image Size Limits](#offline-size-limits)
- [Online Image Size Limits](#online-size-limits)

### Offline Size Limits

By default, [GitPitch Desktop](/desktop/) enforces the same image sizes limits as those enforced when publishing slide decks to the [GitPitch Cloud](/cloud/). This is to ensure you are aware of any potential breaches of policy before you publish. However, you can disable these limits for offline content. For details see the [Image Compression Tool Guide](/desktop/tools.md).

### Online Size Limits

GitPitch enforces image sizes limits for slide decks published online at **gitpitch.com**. These limits exist to ensure GitPitch slide decks viewed online can be efficiently loaded and rendered within the browser. A **1Mb** file size limit is enforced for each individual **JPG**, **PNG**, and **GIF** image.

These file size limits apply to all local [image content](/images/) displayed on your slides. Images loaded from external URLs are not subject to size limit restrictions.

The **gitpitch.com** server automatically detects, rejects, and reports local images that exceed the *size-limit* directly within your slide decks. For example, the following screenshots show how *inline* and *background* images that exceed *the 1Mb size limit* are reported directly within their respective slides:

### Compression Tools

The desktop app has a built-in [image compression tool](/desktop/tools). Alternatively consider using the following free online image compression services:

- [tinypng.com](https://tinypng.com)
- [tinyjpg.com](https://tinyjpg.com)
- [ezgif.com](https://ezgif.com)

