# Meet the GitPitch Family

### About Me

Hi, I'm David. The solo founder and developer of GitPitch. I've been flipping bits for over 30 years. Working on everything from Linux kernel device drivers, the Java platform at Sun Microsystems, to cardiac medical systems at startups, and big data analytics engines acquired by Microsoft. These days I spend my time crafting all things GitPitch.

### GitPitch Desktop

The [Desktop app](/desktop/) is a markdown presentation tool delivered using [Docker Desktop](https://www.docker.com/products/docker-desktop) available on MacOS, Linux, and Windows 10. The desktop app lets you develop, preview, present, and publish slide decks.

### GitPitch.com

The [GitPitch Cloud](/cloud/) is an online service that works seamlessly with GitPitch Desktop. It lets you publish public, private, and password-protected slide decks on **gitpitch.com**. With nothing more than a simple *git-push* to any GitHub, GitLab, or Bitbucket repository in the cloud. 

### GitPitch Enterprise

[GitPitch Enterprise](/enterprise/) is a solution for business and education that delivers **gitpitch.com** server functionality for on-premises deployment. A solution optimized for privacy and control. Letting your business get more out of existing Git infrastructure and investment.

### GitPitch CI/CD

[GitPitch CI/CD](/cicd/) is a solution for business and education that generates GitPitch PDF, PPTX, and JPG slide screenshots directly within your existing CI/CD pipelines. Like any CI/CD pipeline job, GitPitch CI/CD can be launched in response to events such as a commit, tag, or release on target branches and repositories.

### GitPitch Open Source

I began GitPitch as an _open-source_ project in early 2016. That project was developed and maintained on GitHub. While no longer open source, the original project repo is now used to maintain a CHANGELOG alongside the source for these docs. That repo is found [here](https://github.com/gitpitch/gitpitch). 

