# What's New in GitPitch 4.0

The 4.0 release represents the fruits of listening to and learning from my users over the past 4 years. It has been a phenomenal journey, challenge, and education. My sincerest thanks goes out to each and every one of you who has participated along the way.

Cheers, David :heart:
Founder / Developer GitPitch

<iframe id="youtube" width="900" height="600" src="https://www.youtube.com/embed/MT88pCE291I" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>

### Free Trial

With this release all barriers to getting started have been removed. No sign-up required. No credit card needed. And no time limits on your trial. It could not be easier to take GitPitch 4.0 for a test drive. Start your free trial [right now](/free-trial.md).

### GitPitch Desktop

The [Desktop App](/desktop/) has been given a makeover. A major makeover.  With a new user interface, improved navigation, an **embedded markdown editor**, and built-in help. The new desktop experience is a joy. The app is also at the heart of exciting new features including [Grid Layouts](#grid-layouts).

![Screenshot showing the desktop app in edit mode](../_images/gitpitch-desktop-offline-development.png)

### Grid Layouts

At its core the GitPitch 4.0 redesign is built around a brand new grid layouts system. This innovative system replicates the layout precision of traditional **drag-and-drop** solutions directly within the markdown for your slide decks. Giving you pixel-perfect control over the positioning and sizing of your slide content. You won't believe it [until you see it](/grid-layouts/drag-and-drop.md)!

![GitPitch grid layouts sample slide screenshot](../_images/gitpitch-grid-layouts-about.png)

### PDF, PPTX, and HTML

Using the new desktop app you can now [export any slide deck](/desktop/publishing) with just one click. As a PDF document, as a PPTX slide deck, or as a self-contained HTML bundle that can be published by copying the exported files under your own website or GitHub Pages.

![Screenshot showing the Desktop Offline Publishing Manager](../_images/gitpitch-desktop-offline-publishing.png)

You can also [publish and share](/cloud/) public, private, and password-protected slide decks on **gitpitch.com**.

### Synchronized Stacks

Rendering simple list content remains a core feature for most presentation tools. With the release of [Grid Stacks](/grid-layouts/stacks) 4.0 introduces brand new rendering behaviors for rich slide content. Including code, diagrams, videos, math formulas and more. These behaviors combined with **slide content synchronizations** across both stack and list content are [a joy to behold](/grid-layouts/synchronization).

![Short screencast demonstrating grid synchronization](../_images/gitpitch-grid-layouts-sync.gif)

### Modular Markdown

With GitPitch you manage your slide decks and training materials the same way you manage code. Your slide markdown is modular by design. And natively under Git version control. In 4.0 modular markdown support has taken **giant leaps forward** with the introduction of [Markdown Injection](/modular-markdown/injection.md), [Markdown Variables](/modular-markdown/variables.md), [Markdown Globals](/modular-markdown/globals.md), and [Markdown Templates](/modular-markdown/templates.md). If you are building training or course materials these exciting new modularization features are a must see.

### And There's More

As you browse these docs you'll find lots more new features. Including [Grid Fit](/grid-layouts/fit-text.md) for content. Grid [Animations](/grid-layouts/animations.md). Among many other delights. I simply encourage you to enjoy these discoveries as you familiarize yourself with GitPitch 4.0.

![Screenshot showing the desktop app in ide mode](../_images/gitpitch-desktop-ide-mode.png)

> Ready to kick the tires? Now is the time to head over to the [GitPitch 4.0 Quickstart Guide](/quickstart.md).

